Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79005 - [RFE] mouse buttons wasted due to generic configurations
Summary: [RFE] mouse buttons wasted due to generic configurations
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-mouse
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-04 15:41 UTC by Michael Lee Yohe
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-18 21:19:24 UTC


Attachments (Terms of Use)

Description Michael Lee Yohe 2002-12-04 15:41:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
Most modern mice come configured with more than three accessible buttons. 
However, selection of a mouse during the initial installation or using the
redhat-config-mouse applet sort of assumes that you only have 3 mouse buttons. 
The only thing it seems to determine is whether Z axis mapping should be
inserted into the XFree86 configuration file.

Mouse drivers for Windows allow manufacturers to assign different functions to
other mouse buttons (common double-click).  Such functionality should also exist
in Red Hat Linux.  XFree86 natively supports mice with more than three buttons.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. see description
2.
3.
	

Actual Results:  see description

Expected Results:  see description

Additional info:

Comment 1 Brent Fox 2002-12-18 21:19:24 UTC
This is a pretty hard request to implement.  In Windows, mice manufacturers
write their own software, so they can tailor the software to use all the
particular features of each mouse.  Microsoft does not attempt to write all the
mice drivers themselves as the work involved would be huge.

Most mice manufacturers choose to not create such drivers for Linux.  In my
opinion, these features needs to come from the mice manufacturers, not Red Hat.  

X Windows does support mice with more than three buttons, but that doesn't help
us during mouse configuration.  As far as I know, there is no way to probe the
mouse to detect how many buttons there are.  We also don't have a lab full of
every kind of mouse in existence.

Don't get me wrong, I understand your point and I agree with it, but I just
don't see a practical way that we could undertake such a project.  The same
problem exists with a lot of the keyboards these days which have all kinds of
extra buttons to launch various applications.  I would love to have those work
as well as they do in Windows, but we have almost no cooperation from the
hardware manufacturers in the consumer/peripheral market segment.

Deferring this report.


Note You need to log in before you can comment on or make changes to this bug.